#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n,m;
    scanf("%d%d",&n,&m);
    int niz[n];
    bool imaneg = false;
    int vr[n];
    for(int i=0;i<n;++i){
        scanf("%d",&niz[i]);
        if(!imaneg && niz[i]<0)
            imaneg=true;

        vr[i]=0;
    }
    int poznanik[m][2];
    for(int i=0;i<m;++i){
        scanf("%d%d",&poznanik[i][0], &poznanik[i][1]);
        vr[poznanik[i][0]-1]++;
        vr[poznanik[i][1]-1]++;
    }

    int sreca=0;
    if(imaneg){
        for(int i=0;i<n;i++){
            sreca+=niz[i]*(-vr[i]);
        }
    }
    else{
         for(int i=0;i<n;i++){
            sreca+=niz[i]*vr[i];
         }
    }
    printf("%d",sreca);
    return 0;
}